Page MenuHomePhabricator

Increase limit for edit summary in Flagged Revisions to COMMENT_CHARACTER_LIMIT
Closed, ResolvedPublic

Description

With T188798, the length of the edit summary was set to 500 characters for all Wikimedia wikis.

However, when using the button "Änderungen verwerfen" offered by Flagged Revisions (ID mw-fr-submit-reject), the edit summary is still limited to 200 characters, causing the well-known issues e.g. when reverting edits by anon users with IPv6 addresses, cf. this discussion on dewiki.

The length of this text field should also be set to 500:

<input name="wpReason" size="120" value="..." id="wpReason" maxlength="500" class="webfonts-changed">

Details

Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : masterUse COMMENT_CHARACTER_LIMIT everywhere

Event Timeline

Cirdan created this task.May 13 2018, 8:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2018, 8:50 AM
Cirdan updated the task description. (Show Details)May 13 2018, 8:54 AM

Change 432768 had a related patch set uploaded (by Cirdan; owner: Cirdan):
[mediawiki/extensions/FlaggedRevs@master] Increase maximum length of edit summary to 500 (T194588)

https://gerrit.wikimedia.org/r/432768

Cirdan claimed this task.May 13 2018, 1:21 PM
Cirdan triaged this task as Medium priority.
Cirdan updated the task description. (Show Details)May 13 2018, 1:32 PM

Change 433210 had a related patch set uploaded (by Cirdan; owner: Cirdan):
[mediawiki/extensions/FlaggedRevs@master] Use COMMENT_CHARACTER_LIMIT everywhere (T194588)

https://gerrit.wikimedia.org/r/433210

Cirdan added a subscriber: Anomie.May 15 2018, 8:01 PM

@Anomie Thanks for the hint, I tried to add the COMMENT_CHARACTER_LIMIT in all places, but I don't feel qualified to work on this further.

As far as I could figure out, the wpReason comment is only added to the log tables, which should be ready for longer comments. If, however, FlaggedRevs also stores the comments in one of its own tables, the database schema needs to be adapted and the table updated accordingly before any change can go into effect.

Vvjjkkii renamed this task from Increase limit for edit summary in Flagged Revisions to 500 to 31caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 31caaaaaaa to Increase limit for edit summary in Flagged Revisions to 500.Jul 2 2018, 5:40 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

As far as I could figure out, the wpReason comment is only added to the log tables, which should be ready for longer comments. If, however, FlaggedRevs also stores the comments in one of its own tables, the database schema needs to be adapted and the table updated accordingly before any change can go into effect.

I' took a look at the flaggedrevs tables and there is no row where these could possibly go to.

Change 432768 abandoned by MarcoAurelio:
Increase maximum length of edit summary to 500 (T194588)

https://gerrit.wikimedia.org/r/432768

Change 532090 had a related patch set uploaded (by MGChecker; owner: Cirdan):
[mediawiki/extensions/FlaggedRevs@master] Use COMMENT_CHARACTER_LIMIT everywhere (T194588)

https://gerrit.wikimedia.org/r/532090

Change 532090 had a related patch set uploaded (by MGChecker; owner: Cirdan):
[mediawiki/extensions/FlaggedRevs@master] Use COMMENT_CHARACTER_LIMIT everywhere

https://gerrit.wikimedia.org/r/532090

Reedy renamed this task from Increase limit for edit summary in Flagged Revisions to 500 to Increase limit for edit summary in Flagged Revisions to COMMENT_CHARACTER_LIMIT.Aug 25 2019, 7:39 PM

Adding Core Platform, as they are responsible for MediaWiki-Comment-backend and might be able to assist with reviewing here.

I don't see any schema changes in that patch, just changes to HTML form field "maxlength" parameters. Also at a quick glance I don't see anything that looks like a comment field in the extension's schema, while I do see it seeming to hand the supplied texts to core functions.

By T194588#5434893, there is no row in the extension schema where this information could possibly go to.

Change 532090 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Use COMMENT_CHARACTER_LIMIT everywhere

https://gerrit.wikimedia.org/r/532090

Anomie closed this task as Resolved.Nov 19 2019, 4:18 PM
Anomie assigned this task to MGChecker.